> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/getting-started/workspaces/multifactor-authentication/authenticator-totp.md).

# Authenticator (TOTP)

Set up Authenticator TOTP multifactor authentication in Remote Desktop Manager with the Devolutions Password Manager app to secure workspace access.

Remote Desktop Manager allows you to use an ***Authenticator (TOTP)*** such as the [Devolutions Password Manager mobile app](https://devolutions.net/workspace/) or another authenticator app to provide an additional security layer when opening a workspace.

{% hint style="info" %}
Before you start the configuration, make sure you have installed the [Devolutions Password Manager mobile app](https://devolutions.net/workspace/) or another authenticator app on a supported device.
{% endhint %}

1. If not already done, follow these [multifactor authentication configuration steps](/rdm/getting-started/workspaces/multifactor-authentication.md) first.
2. After having selected the ***Authenticator (TOTP)*** MFA type, click ***Configure***.
3. Scan the QR code that appears in the ***Authenticator setup*** window with your device application.
4. Enter the ***Validation code*** provided by the ***Authenticator (TOTP)***.
5. Click ***Validate***.
6. Relaunch Remote Desktop Manager to be prompted for the ***Authenticator (TOTP)*** code.

#### See also

* [Configure Multi-factor-authentification in Remote Desktop Manager](https://academy.devolutions.net/student/page/2745736-configure-multi-factor-authentification-in-remote-desktop-manager?curriculum_activity_id=4146028\&path_id=2628397\&sid=6b463cb0-a447-42c1-89fa-4ac51e5a7eaa\&sid_i=0)
* [Devolutions Academy – Breaking down common scenarios: remote access for field work](https://academy.devolutions.net/student/activity/3380820)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/rdm/getting-started/workspaces/multifactor-authentication/authenticator-totp.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
